io.agora.rtc

## Class SimulcastStreamConfig

- java.lang.Object
- - io.agora.rtc.SimulcastStreamConfig

-     public class SimulcastStreamConfig
      extends java.lang.Object

  Configuration for simulcast stream.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private int` | `bitrate` The bitrate of the video
    `private VideoDimensions` | `dimensions` The dimensions of the video
    `private int` | `framerate` The framerate of the video

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SimulcastStreamConfig()` Default constructor for SimulcastStreamConfig.
    `SimulcastStreamConfig(VideoDimensions dimensions, int bitrate, int framerate)` Constructs SimulcastStreamConfig with all parameters.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getBitrate()` Gets the bitrate (Kbps).
    `VideoDimensions` | `getDimensions()` Gets the video dimensions.
    `int` | `getFramerate()` Gets the frame rate (fps).
    `void` | `setBitrate(int bitrate)` Sets the bitrate (Kbps).
    `void` | `setDimensions(VideoDimensions dimensions)` Sets the video dimensions.
    `void` | `setFramerate(int framerate)` Sets the frame rate (fps).
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### dimensions

          private VideoDimensions dimensions

      The dimensions of the video

    - #### bitrate

          private int bitrate

      The bitrate of the video

    - #### framerate

          private int framerate

      The framerate of the video

  - ### Constructor Detail

    - #### SimulcastStreamConfig

          public SimulcastStreamConfig()

      Default constructor for SimulcastStreamConfig.

    - #### SimulcastStreamConfig

          public SimulcastStreamConfig(VideoDimensions dimensions,
                                       int bitrate,
                                       int framerate)

      Constructs SimulcastStreamConfig with all parameters.
      Parameters:
        `dimensions` - Video dimensions
        `bitrate` - Bitrate (Kbps)
        `framerate` - Frame rate (fps)

  - ### Method Detail

    - #### getDimensions

          public VideoDimensions getDimensions()

      Gets the video dimensions.
      Returns:
        Video dimensions

    - #### setDimensions

          public void setDimensions(VideoDimensions dimensions)

      Sets the video dimensions.
      Parameters:
        `dimensions` - Video dimensions

    - #### getBitrate

          public int getBitrate()

      Gets the bitrate (Kbps).
      Returns:
        Bitrate (Kbps)

    - #### setBitrate

          public void setBitrate(int bitrate)

      Sets the bitrate (Kbps).
      Parameters:
        `bitrate` - Bitrate (Kbps)

    - #### getFramerate

          public int getFramerate()

      Gets the frame rate (fps).
      Returns:
        Frame rate (fps)

    - #### setFramerate

          public void setFramerate(int framerate)

      Sets the frame rate (fps).
      Parameters:
        `framerate` - Frame rate (fps)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`